@echo off

@REM Add SaturnOrbit stuff to environment variables
CALL ..\..\satcom_lib_defs.bat satsdk_en


mkdir obj
:start
echo --------------------------------------------
echo  Type `c' to cleanup temporary data.
echo  Type `m' to make program.
echo  Type `r' to rebuild program.
echo  Type `t' to test program with yabause.
SET /P cm="Command: "

If "%cm%" == "c" goto cleanup
If "%cm%" == "m" goto makeflash
If "%cm%" == "r" goto rebuild
If "%cm%" == "t" goto test
%cm%
goto end


:cleanup
make clean
REM make mrproper
goto start

:makeflash
make LGCC_PATH=%LGCC_PATH%
make cd IP_PATH=%ip_path% LGCC_PATH=%LGCC_PATH%
goto start

:rebuild
REM make clean
make mrproper
make LGCC_PATH=%LGCC_PATH%
make cd IP_PATH=%ip_path% LGCC_PATH=%LGCC_PATH%
goto start


:test
cd yabause
start yabause.exe
cd ..
goto start


:end
